GET /shopping/flight-offers

amadeus.com

Summary: Return list of Flight Offers based on searching criteria.
Operation ID: getFlightOffers
Auth: unknown

Parameters (14)

adults (integer, query, required, default: 1)

the number of adult travelers (age 12 or older on date of departure).

Constraints: {'minimum': 1, 'maximum': 9}

children (integer, query, optional)

the number of child travelers (older than age 2 and younger than age 12 on date of departure) who will each have their own separate seat. If specified, this number should be greater than or equal to 0

Constraints: {'minimum': 0, 'maximum': 9}

currencyCode (string, query, optional)

the preferred currency for the flight offers. Currency is specified in the [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) format, e.g. EUR for Euro

Constraints: {'pattern': '[A-Z]{3}'}

departureDate (string, query, required)

the date on which the traveler will depart from the origin to go to the destination. Dates are specified in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) YYYY-MM-DD format, e.g. 2017-12-25

destinationLocationCode (string, query, required)

city/airport [IATA code](http://www.iata.org/publications/Pages/code-search.aspx) to which the traveler is going, e.g. PAR for Paris

Constraints: {'pattern': '[A-Z]{3}'}

excludedAirlineCodes (string, query, optional)

This option ensures that the system will ignore these airlines. This can not be cumulated with parameter includedAirlineCodes. Airlines are specified as [IATA airline codes](http://www.iata.org/publications/Pages/code-search.aspx) and are comma-separated, e.g. 6X,7X,8X

Constraints: {'pattern': '[0-9A-Z]{2}'}

includedAirlineCodes (string, query, optional)

This option ensures that the system will only consider these airlines. This can not be cumulated with parameter excludedAirlineCodes. Airlines are specified as [IATA airline codes](http://www.iata.org/publications/Pages/code-search.aspx) and are comma-separated, e.g. 6X,7X,8X

Constraints: {'pattern': '[0-9A-Z]{2}'}

infants (integer, query, optional)

the number of infant travelers (whose age is less or equal to 2 on date of departure). Infants travel on the lap of an adult traveler, and thus the number of infants must not exceed the number of adults. If specified, this number should be greater than or equal to 0

Constraints: {'minimum': 0, 'maximum': 9}

max (integer, query, optional, default: 250)

maximum number of flight offers to return. If specified, the value should be greater than or equal to 1

Constraints: {'minimum': 1}

maxPrice (integer, query, optional)

maximum price per traveler. By default, no limit is applied. If specified, the value should be a positive number with no decimals

Constraints: {'minimum': 1}

nonStop (boolean, query, optional, default: False)

if set to true, the search will find only flights going from the origin to the destination with no stop in between

originLocationCode (string, query, required)

city/airport [IATA code](http://www.iata.org/publications/Pages/code-search.aspx) from which the traveler will depart, e.g. BOS for Boston

Constraints: {'pattern': '[A-Z]{3}'}

returnDate (string, query, optional)

the date on which the traveler will depart from the destination to return to the origin. If this parameter is not specified, only one-way itineraries are found. If this parameter is specified, only round-trip itineraries are found. Dates are specified in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) YYYY-MM-DD format, e.g. 2018-02-28

travelClass (string, query, optional)

most of the flight time should be spent in a cabin of this quality or higher. The accepted travel class is economy, premium economy, business or first class. If no travel class is specified, the search considers any travel class

Constraints: {'enum': ['ECONOMY', 'PREMIUM_ECONOMY', 'BUSINESS', 'FIRST']}

No probe data for this endpoint yet.